beranda/urls.py
from django.urls import path
from . import views

app_name = 'beranda'

urlpatterns = [
    path('', views.beranda, name='beranda'),
]

homepage/urls.py
from django.urls import path
from . import views

app_name='homepage'


urlpatterns = [
    path('', views.home, name='home'),
]

story_delapan/urls.py
from django.urls import path
from . import views

app_name = 'story_delapan'

urlpatterns = [
    path('', views.story_delapan, name='story_delapan'),
]

story_enam/urls.py
from django.contrib import admin
from django.urls import path, include
from django.conf import settings
from django.conf.urls.static import static

urlpatterns = [
    path('admin/', admin.site.urls),
    path('story_enam/', include('homepage.urls')),
    path('story_tujuh/', include('story_tujuh.urls')),
    path('story_delapan/', include('story_delapan.urls')),
    path('story_sembilan/', include('django.contrib.auth.urls')),
    path('', include('beranda.urls')),
]

story_sembilan/urls.py
from django.urls import path
from . import views

app_name = 'story_sembilan'

urlpatterns = [
    path('', views.story_sembilan, name='story_sembilan'),
]

story_tujuh/urls.py
from django.urls import path
from . import views

app_name = 'story_tujuh'

urlpatterns = [
    path('', views.story_tujuh, name='story_tujuh'),
]

beranda/models.py
from django.db import models

# Create your models here.

homepage/models.py
from django.db import models

# Create your models here.
class Status(models.Model):
    status = models.CharField(max_length=300)
    time = models.DateTimeField(auto_now_add=True)

story_delapan/models.py
from django.db import models

# Create your models here.

story_sembilan/models.py
from django.db import models

# Create your models here.

story_tujuh/models.py
from django.db import models

# Create your models here.

homepage/forms.py
from django import forms
from .models import Status

class StatusForm(forms.ModelForm):
    def __init__(self, *args, **kwargs):
        super(StatusForm, self).__init__(*args, **kwargs)

                                                      
        self.fields['status'].error_messages = {'max_length': 'Batas maksimal karakter 300',
                                                'required': 'Status harus diisi'}


    class Meta:
        model = Status
        fields = ['status']
        
    
        

beranda/views.py
from django.shortcuts import render

# Create your views here.
def beranda(request):
    return render(request, 'beranda.html')

homepage/views.py
from django.shortcuts import render, redirect
from .forms import StatusForm
from .models import Status


# Create your views here.
def home(request):
    
    
    if request.method == 'POST':
        form = StatusForm(request.POST)
        if form.is_valid():
            status = Status(status = form.data['status'])
            status.save()
            return redirect('homepage:home')
    
    else:
        form = StatusForm()
    
    temp = Status.objects.all()
    
    
    return render(request, 'home.html', {'status_list': temp,
                                         'status_form': form })

story_delapan/views.py
from django.shortcuts import render

# Create your views here.

def story_delapan(request):
    return render(request, 'story_delapan.html')

story_sembilan/views.py
from django.shortcuts import render

# Create your views here.

story_tujuh/views.py
from django.shortcuts import render

# Create your views here.
def story_tujuh(request):
    return render(request, 'story_tujuh.html')

beranda/templates/beranda.html
<!DOCTYPE html>
{% extends 'base.html' %}
{% load static %}


{% block css %}
{% endblock css %}

{% block script %}


{% endblock script %}



{% block content %}
{% if user.is_authenticated %}
  Hi {{ user.username }}!

{% else %}
  <p>You are not logged in</p>

{% endif %}

{% endblock content %}

homepage/templates/home.html
<!DOCTYPE html>
{% extends 'base.html' %}
{% load static %}


{% block content %}

    <div class="sect-profile">
      <div class="container">
        <h1 class="text-center title pt-5 pb-5"><br><b>Halo, Apa Kabar?</b></h1>
          <form action= "{% url 'homepage:home' %}" method="POST">
          {% csrf_token %}
            <div class="form-group">
              <label>Bagaimana Statusmu?</label>
              <input name="status" type="text" class="form-control" placeholder="Depressed"> 
            </div>
              
            <button id = "button-submit" type="submit" class="btn btn-primary">Masukkan Statusmu</button>
          </form>


      </div>
        
        <div class = "container">
            <table class="table table-hover">
                <thead>
                    <tr>
                        <th scope="col">Status</th>
                        <th scope="col">Time</th>
                    </tr>
                </thead>
                <tbody>
                    {% for status in status_list %}
                    <tr>
                        <td>{{ status.status }}</td>
                        <td>{{ status.time }}</td>
                    </tr>
                    {% endfor %}
                </tbody>
            </table>

        </div>
        
    </div>



{% endblock content %}

story_delapan/templates/story_delapan.html
<!DOCTYPE html>
{% extends 'base.html' %}
{% load static %}


{% block css %}
    <link href="https://fonts.googleapis.com/css?family=Roboto&display=swap" rel="stylesheet">
{% endblock css %}

{% block script %}
    <script src="{% static 'js/story_delapan.js' %}"></script>

{% endblock script %}

{% block content %}


<div class="col">
      <div class="row d-flex justify-content-center">
          <div class="col-xl-12 col-sm-12 ">
                    <h1 class="text-center title pt-5 pb-3"><br><b>Search for Books!</b></h1>
            </div>

          <div class="col-xl-12 col-sm-12 d-flex justify-content-center pt-3 pb-5">
              
              <form action="">
                  <div class="input-group mb-4 border rounded-pill p-1">
                    <div class="input-group-prepend border-0">
                      <button id="search" type="button" class="btn btn-link text-info"><i class="fa fa-search"></i></button>
                    </div>
                    <input id = "search-box" type="text" placeholder="Try Al-Qur'an" aria-describedby="button-addon4" class="form-control bg-none border-0">
                  </div>
             </form>
                  
                
          </div>
    </div>

    <div class = "book-list">
        <h3 class = "text-center pb-3"> Results </h3>
            <div id = "list-output"> 
                <table class="table table-hover">
                    <thead>
                        <tr>
                            <th scope="col">Cover</th>
                            <th scope="col">Title</th>
                            <th scope="col">Author</th>
                            <th scope="col">Publisher</th>
                        </tr>
                    </thead>
                    
                    
                        <tbody>
                        <tr>
                        </tr>
                        </tbody>
                    
                </table>
            </div>

        </div>
</div>


{% endblock content %}

story_enam/templates/base.html
<!DOCTYPE html>
{% load static %}
<html>
<head>
	<title>{{ title }}</title>
	<meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

	<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
	<link href="https://maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css" rel="stylesheet">
    
    
    <link href="https://gitcdn.github.io/bootstrap-toggle/2.2.2/css/bootstrap-toggle.min.css" rel="stylesheet">
    
    <link href="https://cdn.jsdelivr.net/gh/gitbrent/bootstrap-switch-button@1.0.0/css/bootstrap-switch-button.min.css" rel="stylesheet">
    
    {% block css %}
    {% endblock css %}
    
    
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
    
    
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>
    
    {% block script %}
    {% endblock script %}
    
    
</head>
<body>
    
    <nav class="navbar navbar-dark bg-primary">
      <a class="navbar-brand" href="{% url 'beranda:beranda' %}">Navbar w/ text</a>
      <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarText" aria-controls="navbarText" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
      </button>
      <div class="collapse navbar-collapse" id="navbarText">
        <ul class="navbar-nav mr-auto">
          <li class="nav-item">
            <a class="nav-link" href="{% url 'homepage:home' %}">Story Enam </a>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="{% url 'story_tujuh:story_tujuh' %}">Story Tujuh</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="{% url 'story_delapan:story_delapan' %}">Story Delapan</a>
          </li>
            

        {% if user.is_authenticated %}
            <a class="btn btn-outline-success" type="button" href="{% url 'logout' %}">Logout</a>

        {% else %}
            <a class="btn btn-outline-success" type="button" href="{% url 'login' %}">Login</a>
        {% endif %}

            
        </ul>
      </div>
    </nav>
    
    
	{% block content %}
	{% endblock content %}
    	
</body>
 
    
    
    
</html>

story_tujuh/templates/story_tujuh.html
<!DOCTYPE html>
{% extends 'base.html' %}
{% load static %}


{% block css %}
    <link rel="stylesheet" href="{% static 'css/story_tujuh.css' %}">
    <link href="https://fonts.googleapis.com/css?family=Roboto&display=swap" rel="stylesheet">
{% endblock css %}

{% block script %}
    <script src="{% static 'js/story_tujuh.js' %}"></script>

    <script>
        $(() => {
            $(".accord-content").hide();
            $(".accord-btn").click(function() {
                if($(this).next().attr('data-accordion') === "active"){
                    $(".accord-content").slideUp(350);
                    $(".accord-content").attr('data-accordion',null);
                    $(".accord-btn").attr('data-accordion',null);
                }else{
                    $(".accord-content").slideUp(350);
                    $(".accord-content").attr('data-accordion',null);
                    $(".accord-btn").attr('data-accordion',null);
                    $(this).next().slideDown(350);
                    $(this).next().attr('data-accordion','active');
                    $(this).attr('data-accordion','active')
                }
            });

            $("#toggle-switch").click((e) => {
                if(e.target.checked){
                    document.documentElement.setAttribute('data-theme','dark');
                }else{
                    document.documentElement.setAttribute('data-theme','light');
                }
            });
            $("#switch").hover((e) => {
                document.documentElement.setAttribute('data-theme','dark');
            },(e) => {
                if($("#toggle-theme:checked").length == 0){
                    document.documentElement.setAttribute('data-theme','light');
                }
            })
        })
    </script>


{% endblock script %}



{% block content %}


<div class="col">
      <div class="row d-flex justify-content-center">
          <div class="col-md-8 col-sm-12 ">
                    <h1 class="text-center title pt-5 pb-3"><br><b>Get To Know Me!</b></h1>
            </div>

          <div class="col-md-8 col-sm-12 d-flex justify-content-center pb-5">
              
              
                  <div class = "col d-flex justify-content-end pt-2">
                      <h4>Dark Mode</h4>
                  </div>
                
                <div class = "col d-flex justify-content-start pt-2">
                    <label class="switch">
                      <input type="checkbox" id = "toggle-switch">
                      <span class="slider round"></span>
                    </label>
                  </div>
                  
                
          </div>
        </div>

    
    
    
        <div class="row d-flex justify-content-center">
          <div class="col-md-8 col-sm-12">
              <div id="accordion">
                  <h3 class="accord-btn py-1 px-2" >Activities</h3>
                  <div class="accord-content">
                    <h5>1. Head of Creative Media and Documentation of Pemira IKM Fasilkom UI 2019</h5>
                        <p>
                            - Conceptualized and produced the creative style of visual marketing
                            <br>
                            - Designed 10+ graphic design projects that consisted of logo, posters, merchandise and logistic needs
                            <br>
                            <br>
                        </p>
                  
                  
                    <h5>2. Marketing and Sales Team of Edufia</h5>
                        <p>
                            - Produced creative social media marketing tools
                            <br>
                            - Animated the brand logo
                            <br>
                            <br>
                        </p>
                  </div>
                    
                  
                  
                  
                  
                  <h3 class="accord-btn py-1 px-2" >Experience</h3>
                  <div class="accord-content">
                        <h5>1. Vice Head of Visual Design of CGT In Action</h5>
                            <p>
                                - Conceptualized and produced the creative style of visual marketing
                                <br>
                                - Designed 10+ graphic design projects that consisted of logo, posters, merchandise and logistic needs
                                <br>
                                <br>
                            </p>
                  
                  
                        <h5>2. Organizing Committee Vice President of Marketing of World of Education Winter 2019</h5>
                            <p>
                                - Produced creative social media marketing tools
                                <br>
                                - Animated the brand logo
                                <br>
                                <br>
                            </p>
                      
                        <h5>3. Artistic Team of Thamrin Olympiad and Cup 7</h5>
                            <p>
                                - Collaborated with 7 other team members on design and decoration
                                <br>
                                - Designed 20+ graphic design projects that consisted of mascot logo, posters, document templates, and merchandise
                                <br>
                                <br>
                            </p>
                  </div>
                  
                  
                  
                  
                  
                  
                  <h3 class="accord-btn py-1 px-2" >Achievements</h3>
                  <div class="accord-content">
                      <h5>1. 3rd Place on Poster Design Competition 2016</h5>
                            <p>
                                Festival Lomba Seni Siswa Nasional (FLS2N) Province of DKI Jakarta Region
                                <br>
                                <br>
                            </p>
                      
                      <h5>2. 2nd Place on Poster Design Competition 2016</h5>
                            <p>
                                Festival Lomba Seni Siswa Nasional (FLS2N) City of East Jakarta II Region
                                <br>
                                <br>
                            </p>
                      
                  </div>
              </div>
            
            
            
            
            
            
            
            
<!--
              <ul class="accordion">
                    <li class="accordion-item is-active">
                        <h3 class="accordion-thumb">Activities</h3>
                        <p class="accordion-panel">
                            <b>
                            1. Head of Creative Media and Documentation of Pemira IKM Fasilkom UI 2019
                            </b>
                            <br>
                            - Conceptualized and produced the creative style of visual marketing
                            <br>
                            - Designed 10+ graphic design projects that consisted of logo, posters, merchandise and logistic needs
                            <br>
                            <br>
                            <b>
                            2. Marketing and Sales Team of Edufia
                            </b>
                            <br>
                            - Produced creative social media marketing tools
                            <br>
                            - Animated the brand logo
                            <br>
                            <br>
                        </p>
                    </li>

                    <li class="accordion-item">
                        <h3 class="accordion-thumb">Experiences</h3>
                        <p class="accordion-panel">
                            <b>
                            1. Vice Head of Visual Design of CGT In Action
                            </b>
                            <br>
                            - Co-directed a team of 9 members to design 50+ graphic design projects
                            <br>
                            - Designed 10+ graphic design projects that consisted of Instagram and LINE posts
                            <br>
                            <br>
                            
                            <b>
                            2. Organizing Committee Vice President of Marketing of World of Education Winter 2019
                            </b>
                            <br>
                            - Conceptualized and produced the creative style of visual marketing
                            <br>
                            -  Designed 20+ graphic design projects that consisted of logo, posters, booklets, Instagram posts, and merchandise
                            <br>
                            -   Received the most applicants of Incoming Global Volunteer project of AIESEC in Universitas Indonesia with 22 international student applications
                            <br>
                            <br>
                            
                            <b>
                            3. Artistic Team of Thamrin Olympiad and Cup 7
                            </b>
                            <br>
                            - Collaborated with 7 other team members on design and decoration
                            <br>
                            - Designed 20+ graphic design projects that consisted of mascot logo, posters, document templates, and merchandise
                            <br>
                            <br>
                        </p>
                    </li>

                    <li class="accordion-item">
                        <h3 class="accordion-thumb">Achievments</h3>
                        <p class="accordion-panel">
                            <b>
                            1. 3rd Place on Poster Design Competition 2016
                            </b>
                            <br>
                            Festival Lomba Seni Siswa Nasional (FLS2N) Province of DKI Jakarta Region
                            <br>
                            <br>
                            
                            <b>
                            2. 2nd Place on Poster Design Competition 2016
                            </b>
                            <br>
                            Festival Lomba Seni Siswa Nasional (FLS2N) City of East Jakarta II Region
                            <br>
                            <br>
                        </p>
                    </li>
                </ul>
-->
          </div>
        </div>
    
</div>


{% endblock content %}